sms.broadcast.list
curl --request POST \
--url https://platform.trylath.com/sms/broadcast/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"before": "2023-11-07T05:31:56Z",
"limit": 20
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({before: '2023-11-07T05:31:56Z', limit: 20})
};
fetch('https://platform.trylath.com/sms/broadcast/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/sms/broadcast/list"
payload = {
"before": "2023-11-07T05:31:56Z",
"limit": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/sms/broadcast/list"
payload := strings.NewReader("{\n \"before\": \"2023-11-07T05:31:56Z\",\n \"limit\": 20\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"broadcasts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"template": "<string>",
"topic": "<string>",
"segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": "<unknown>",
"scheduledAt": "2023-11-07T05:31:56Z",
"status": "draft",
"counts": null,
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}
}sms.broadcast.list
Lists SMS broadcasts, newest first. Email broadcasts are not included; they are email.broadcast.list.
POST
/
sms
/
broadcast
/
list
sms.broadcast.list
curl --request POST \
--url https://platform.trylath.com/sms/broadcast/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"before": "2023-11-07T05:31:56Z",
"limit": 20
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({before: '2023-11-07T05:31:56Z', limit: 20})
};
fetch('https://platform.trylath.com/sms/broadcast/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/sms/broadcast/list"
payload = {
"before": "2023-11-07T05:31:56Z",
"limit": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/sms/broadcast/list"
payload := strings.NewReader("{\n \"before\": \"2023-11-07T05:31:56Z\",\n \"limit\": 20\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"broadcasts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"template": "<string>",
"topic": "<string>",
"segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": "<unknown>",
"scheduledAt": "2023-11-07T05:31:56Z",
"status": "draft",
"counts": null,
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Body
application/json
Available options:
draft, queued, paused, sent, cancelled Page back: the createdAt of the oldest row you have
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Required range:
1 <= x <= 100Last modified on September 13, 2026
Was this page helpful?

